<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from hermite_norm.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="hermite_norm" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>hermite_norm</refname>
    <refpurpose>Compute Hermite L2 norm</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   y=hermite_norm(n)
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>n :</term>
      <listitem><para> a 1-by-1 matrix of doubles, integer value, n>=0.</para></listitem></varlistentry>
   <varlistentry><term>y :</term>
      <listitem><para> a matrix of doubles, the norm</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Compute
   </para>
   <para>
<latex>
\left(\int_{-\infty}^{\infty} He_n(x)^2 w(x) dx \right)^{1/2}
</latex>
   </para>
   <para>
We have
   </para>
   <para>
<latex>
\left(\int_{-\infty}^{\infty} He_n(x)^2 w(x) dx \right)^{1/2}= (\sqrt{2\pi} n! )^{1/2}
</latex>
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
// Check that int Hn(x)^2 w(x) dx=sqrt(2pi) n!
// for w(x)=exp(-x^2/2)
function y=sqHew(x,n)
w=hermite_weight(x)
P=hermite_eval(x,n)
y=P^2*w
endfunction

for n = 0:5
[v,err]=intg(-10,10,list(sqHew,n));
disp([n,hermite_norm(n),sqrt(v)])
end

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2013 - 2017 - Michael Baudin</member>
   </simplelist>
</refsection>
</refentry>
